Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>
Name: 		openbox
Version: 	3.4.11.1
Release: 	1
License: 	GNU/GPL 
Group: 		Graphical Desktop/Openbox
Summary: 	Openbox is a windowmanager for X.
URL: 		http://icculus.org/openbox/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot 
BuildArch:	i686

BuildRequires:	libXcursor-devel

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel

%description 
Openbox is a standards compliant, fast, light-weight, extensible window manager. 
Openbox works with your applications, and makes your desktop easier to manage. This is because the approach to its development was the opposite of what seems to be the general case for window managers. Openbox was written first to comply with standards and to work properly. Only when that was in place did the team turn to the visual interface. 
 Openbox is fully functional as a stand-alone working environment, or can be used as a drop-in replacement for the default window manager in the GNOME or KDE desktop environments.
Openbox 3 is a completely new breed of window manager. It is not based upon any existing code base, although the visual appearance has been based upon that of Blackbox. 

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%prep 
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir 
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR="$RPM_BUILD_ROOT" 

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files 
%defattr(-,root,root)
%{_sysconfdir}/xdg/openbox
%{_bindir}/gdm-control
%{_bindir}/gnome-panel-control
%{_bindir}/obxprop
%{_bindir}/openbox
%{_bindir}/openbox-gnome-session
%{_bindir}/openbox-kde-session
%{_bindir}/openbox-session
%{_libdir}/libobparser.so.*
%{_libdir}/libobrender.so.*
%{_libdir}/openbox/xdg-autostart
%{_applications}/openbox.desktop
%{_datadir}/gnome/wm-properties/openbox.desktop
%{_locale}/*/LC_MESSAGES/openbox.mo
%{_mandir}/man1/openbox.1.gz
%{_mandir}/man1/openbox-gnome-session.1.gz
%{_mandir}/man1/openbox-kde-session.1.gz
%{_mandir}/man1/openbox-session.1.gz
%{_mandir}/man1/obxprop.1.gz
%{_pixmaps}/openbox.png
%{_datadir}/themes/Artwiz-boxed/openbox-3
%{_datadir}/themes/Bear2/openbox-3
%{_datadir}/themes/Clearlooks-Olive/openbox-3
%{_datadir}/themes/Clearlooks/openbox-3
%{_datadir}/themes/Mikachu/openbox-3
%{_datadir}/themes/Natura/openbox-3
%{_datadir}/themes/Onyx-Citrus/openbox-3
%{_datadir}/themes/Onyx/openbox-3
%{_datadir}/themes/Orang/openbox-3
%{_datadir}/themes/Syscrash/openbox-3
%{_datadir}/xsessions/openbox.desktop
%{_datadir}/xsessions/openbox-gnome.desktop
%{_datadir}/xsessions/openbox-kde.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/openbox/
%{_libdir}/libobparser.a                     
%{_libdir}/libobparser.la                    
%{_libdir}/libobparser.so                    
%{_libdir}/libobrender.a                     
%{_libdir}/libobrender.la                    
%{_libdir}/libobrender.so                    
%{_pkgconfig}/obparser-3.0.pc                
%{_pkgconfig}/obrender-3.0.pc                
%{_docdir}/openbox                   

%clean 
rm -rf $RPM_BUILD_ROOT 

%post 
ldconfig

%changelog 
* Mon Apr 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.4.11.1-1
- version update
* Sun Jan 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.4.10-1
- version update
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.4.7.2-1
- version update
* Thu Feb 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3-rc2-1
- Initial Release
